Bug 132325 - New port: devel/psptoolchain
Summary: New port: devel/psptoolchain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-05 10:10 UTC by Tassilo Philipp
Modified: 2009-08-21 02:06 UTC (History)
0 users

See Also:


Attachments
psptoolchain.shar (8.39 KB, text/plain)
2009-03-05 10:10 UTC, Tassilo Philipp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tassilo Philipp 2009-03-05 10:10:03 UTC

    
Comment 1 Marcelo Araujo freebsd_committer 2009-03-11 20:53:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Marcelo Araujo freebsd_committer 2009-06-07 15:34:38 UTC
State Changed
From-To: open->suspended

Suspended with a dependency problem. Waiting a maintainer fix.
Comment 3 Marcelo Araujo freebsd_committer 2009-08-20 15:51:23 UTC
State Changed
From-To: suspended->open

- Feedback received.
Comment 4 dfilter service freebsd_committer 2009-08-21 01:54:43 UTC
araujo      2009-08-21 00:54:33 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/psptoolchain   Makefile pkg-descr 
    devel/psptoolchain-binutils Makefile distinfo pkg-descr 
                                pkg-plist 
    devel/psptoolchain-binutils/files patch-bfd-Makefile.am 
                                      patch-bfd-Makefile.in 
                                      patch-bfd-archures.c 
                                      patch-bfd-bfd-in2.h 
                                      patch-bfd-configure 
                                      patch-bfd-cpu-mips.c 
                                      patch-bfd-elfxx-mips.c 
                                      patch-bfd-version.h 
                                      patch-binutils-readelf.c 
                                      patch-config.sub 
                                      patch-configure 
                                      patch-gas-config-tc-mips.c 
                                      patch-gas-configure 
                                      patch-gas-configure.in 
                                      patch-gas-testsuite-gas-mips-mips.exp 
                                      patch-include-bin-bugs.h 
                                      patch-include-elf-common.h 
                                      patch-include-elf-mips.h 
                                      patch-include-opcode-mips.h 
                                      patch-include-opcode-vfpu.h 
                                      patch-ld-Makefile.am 
                                      patch-ld-Makefile.in 
                                      patch-ld-configure.tgt 
                                      patch-ld-emulparams-elf_mipsallegrexel_psp.sh 
                                      patch-ld-scripttempl-elf_psp.sc 
                                      patch-opcodes-configure 
                                      patch-opcodes-mips-dis.c 
                                      patch-opcodes-mips-opc.c 
    devel/psptoolchain-gcc-stage1 Makefile distinfo pkg-descr 
                                  pkg-plist 
    devel/psptoolchain-gcc-stage1/files patch-config.sub 
                                        patch-gcc-c-incpath.c 
                                        patch-gcc-config-mips-allegrex.md 
                                        patch-gcc-config-mips-mips.c 
                                        patch-gcc-config-mips-mips.h 
                                        patch-gcc-config-mips-mips.md 
                                        patch-gcc-config-mips-psp.h 
                                        patch-gcc-config-mips-t-allegrex 
                                        patch-gcc-config.gcc 
                                        patch-gcc-version.c 
    devel/psptoolchain-gcc-stage2 Makefile pkg-plist 
    devel/psptoolchain-gdb Makefile distinfo pkg-descr pkg-plist 
    devel/psptoolchain-gdb/files patch-bfd-archures.c 
                                 patch-bfd-bfd-in2.h 
                                 patch-bfd-cpu-mips.c 
                                 patch-bfd-elfxx-mips.c 
                                 patch-config.sub 
                                 patch-gdb-remote.c 
                                 patch-include-bin-bugs.h 
                                 patch-include-elf-common.h 
                                 patch-include-elf-mips.h 
                                 patch-include-opcode-mips.h 
                                 patch-opcodes-mips-dis.c 
                                 patch-opcodes-mips-opc.c 
    devel/psptoolchain-newlib Makefile distinfo pkg-descr 
                              pkg-plist 
    devel/psptoolchain-newlib/files patch-config.sub 
                                    patch-configure 
                                    patch-configure.in 
                                    patch-newlib-Makefile.am 
                                    patch-newlib-Makefile.in 
                                    patch-newlib-configure.host 
                                    patch-newlib-libc-include-machine-time.h 
                                    patch-newlib-libc-include-sys-config.h 
                                    patch-newlib-libc-include-sys-types.h 
                                    patch-newlib-libc-include-time.h 
                                    patch-newlib-libc-sys-configure 
                                    patch-newlib-libc-sys-configure.in 
                                    patch-newlib-libc-sys-psp-Makefile.am 
                                    patch-newlib-libc-sys-psp-Makefile.in 
                                    patch-newlib-libc-sys-psp-README 
                                    patch-newlib-libc-sys-psp-aclocal.m4 
                                    patch-newlib-libc-sys-psp-arpa-inet.h 
                                    patch-newlib-libc-sys-psp-confdefs.h 
                                    patch-newlib-libc-sys-psp-configure 
                                    patch-newlib-libc-sys-psp-configure.in 
                                    patch-newlib-libc-sys-psp-crt0.c 
                                    patch-newlib-libc-sys-psp-fdman.c 
                                    patch-newlib-libc-sys-psp-fdman.h 
                                    patch-newlib-libc-sys-psp-include-netdb.h 
                                    patch-newlib-libc-sys-psp-interrupt.S 
                                    patch-newlib-libc-sys-psp-libcglue.c 
                                    patch-newlib-libc-sys-psp-netdb.c 
                                    patch-newlib-libc-sys-psp-netinet-in.h 
                                    patch-newlib-libc-sys-psp-netinet-tcp.h 
                                    patch-newlib-libc-sys-psp-pipe.c 
                                    patch-newlib-libc-sys-psp-pspcwd.c 
                                    patch-newlib-libc-sys-psp-select.c 
                                    patch-newlib-libc-sys-psp-socket.c 
                                    patch-newlib-libc-sys-psp-sys-dirent.h 
                                    patch-newlib-libc-sys-psp-sys-errno.h 
                                    patch-newlib-libc-sys-psp-sys-fd_set.h 
                                    patch-newlib-libc-sys-psp-sys-ioctl.h 
                                    patch-newlib-libc-sys-psp-sys-select.h 
                                    patch-newlib-libc-sys-psp-sys-socket.h 
                                    patch-newlib-libc-sys-psp-syscalls.c 
                                    patch-newlib-libc-sys-psp-xprintf.c 
    devel/psptoolchain-pspsdk-stage1 Makefile distinfo pkg-descr 
                                     pkg-plist 
    devel/psptoolchain-pspsdk-stage1/files 
                                           patch-src-libc-libcglue.c 
    devel/psptoolchain-pspsdk-stage2 Makefile pkg-plist 
  Log:
  The PlayStation Portable Toolchain is a collection of tools and utilities
  for homebrew PSP development.
  
  WWW: http://www.ps2dev.org
  
  PR:             ports/132323, ports/132324, ports/132325, ports/132326
                  ports/132327, ports/132328, ports/132329, ports/132330
  Submitted by:   Tassilo Philipp <tphilipp@potion-studios.com>
  
  Revision  Changes    Path
  1.3605    +8 -0      ports/devel/Makefile
  1.1       +53 -0     ports/devel/psptoolchain-binutils/Makefile (new)
  1.1       +3 -0      ports/devel/psptoolchain-binutils/distinfo (new)
  1.1       +11 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-Makefile.am (new)
  1.1       +11 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-Makefile.in (new)
  1.1       +10 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-archures.c (new)
  1.1       +10 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-bfd-in2.h (new)
  1.1       +13 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-configure (new)
  1.1       +20 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-cpu-mips.c (new)
  1.1       +48 -0     ports/devel/psptoolchain-binutils/files/patch-bfd-elfxx-mips.c (new)
  1.1       +7 -0      ports/devel/psptoolchain-binutils/files/patch-bfd-version.h (new)
  1.1       +10 -0     ports/devel/psptoolchain-binutils/files/patch-binutils-readelf.c (new)
  1.1       +29 -0     ports/devel/psptoolchain-binutils/files/patch-config.sub (new)
  1.1       +20 -0     ports/devel/psptoolchain-binutils/files/patch-configure (new)
  1.1       +1943 -0   ports/devel/psptoolchain-binutils/files/patch-gas-config-tc-mips.c (new)
  1.1       +12 -0     ports/devel/psptoolchain-binutils/files/patch-gas-configure (new)
  1.1       +12 -0     ports/devel/psptoolchain-binutils/files/patch-gas-configure.in (new)
  1.1       +12 -0     ports/devel/psptoolchain-binutils/files/patch-gas-testsuite-gas-mips-mips.exp (new)
  1.1       +7 -0      ports/devel/psptoolchain-binutils/files/patch-include-bin-bugs.h (new)
  1.1       +10 -0     ports/devel/psptoolchain-binutils/files/patch-include-elf-common.h (new)
  1.1       +10 -0     ports/devel/psptoolchain-binutils/files/patch-include-elf-mips.h (new)
  1.1       +356 -0    ports/devel/psptoolchain-binutils/files/patch-include-opcode-mips.h (new)
  1.1       +264 -0    ports/devel/psptoolchain-binutils/files/patch-include-opcode-vfpu.h (new)
  1.1       +20 -0     ports/devel/psptoolchain-binutils/files/patch-ld-Makefile.am (new)
  1.1       +20 -0     ports/devel/psptoolchain-binutils/files/patch-ld-Makefile.in (new)
  1.1       +11 -0     ports/devel/psptoolchain-binutils/files/patch-ld-configure.tgt (new)
  1.1       +25 -0     ports/devel/psptoolchain-binutils/files/patch-ld-emulparams-elf_mipsallegrexel_psp.sh (new)
  1.1       +499 -0    ports/devel/psptoolchain-binutils/files/patch-ld-scripttempl-elf_psp.sc (new)
  1.1       +13 -0     ports/devel/psptoolchain-binutils/files/patch-opcodes-configure (new)
  1.1       +556 -0    ports/devel/psptoolchain-binutils/files/patch-opcodes-mips-dis.c (new)
  1.1       +606 -0    ports/devel/psptoolchain-binutils/files/patch-opcodes-mips-opc.c (new)
  1.1       +4 -0      ports/devel/psptoolchain-binutils/pkg-descr (new)
  1.1       +51 -0     ports/devel/psptoolchain-binutils/pkg-plist (new)
  1.1       +69 -0     ports/devel/psptoolchain-gcc-stage1/Makefile (new)
  1.1       +3 -0      ports/devel/psptoolchain-gcc-stage1/distinfo (new)
  1.1       +29 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-config.sub (new)
  1.1       +28 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-c-incpath.c (new)
  1.1       +186 -0    ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-allegrex.md (new)
  1.1       +223 -0    ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-mips.c (new)
  1.1       +98 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-mips.h (new)
  1.1       +140 -0    ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-mips.md (new)
  1.1       +34 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-psp.h (new)
  1.1       +32 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config-mips-t-allegrex (new)
  1.1       +46 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-config.gcc (new)
  1.1       +20 -0     ports/devel/psptoolchain-gcc-stage1/files/patch-gcc-version.c (new)
  1.1       +4 -0      ports/devel/psptoolchain-gcc-stage1/pkg-descr (new)
  1.1       +63 -0     ports/devel/psptoolchain-gcc-stage1/pkg-plist (new)
  1.1       +22 -0     ports/devel/psptoolchain-gcc-stage2/Makefile (new)
  1.1       +557 -0    ports/devel/psptoolchain-gcc-stage2/pkg-plist (new)
  1.1       +37 -0     ports/devel/psptoolchain-gdb/Makefile (new)
  1.1       +3 -0      ports/devel/psptoolchain-gdb/distinfo (new)
  1.1       +10 -0     ports/devel/psptoolchain-gdb/files/patch-bfd-archures.c (new)
  1.1       +10 -0     ports/devel/psptoolchain-gdb/files/patch-bfd-bfd-in2.h (new)
  1.1       +20 -0     ports/devel/psptoolchain-gdb/files/patch-bfd-cpu-mips.c (new)
  1.1       +31 -0     ports/devel/psptoolchain-gdb/files/patch-bfd-elfxx-mips.c (new)
  1.1       +29 -0     ports/devel/psptoolchain-gdb/files/patch-config.sub (new)
  1.1       +32 -0     ports/devel/psptoolchain-gdb/files/patch-gdb-remote.c (new)
  1.1       +7 -0      ports/devel/psptoolchain-gdb/files/patch-include-bin-bugs.h (new)
  1.1       +10 -0     ports/devel/psptoolchain-gdb/files/patch-include-elf-common.h (new)
  1.1       +10 -0     ports/devel/psptoolchain-gdb/files/patch-include-elf-mips.h (new)
  1.1       +194 -0    ports/devel/psptoolchain-gdb/files/patch-include-opcode-mips.h (new)
  1.1       +557 -0    ports/devel/psptoolchain-gdb/files/patch-opcodes-mips-dis.c (new)
  1.1       +608 -0    ports/devel/psptoolchain-gdb/files/patch-opcodes-mips-opc.c (new)
  1.1       +4 -0      ports/devel/psptoolchain-gdb/pkg-descr (new)
  1.1       +6 -0      ports/devel/psptoolchain-gdb/pkg-plist (new)
  1.1       +41 -0     ports/devel/psptoolchain-newlib/Makefile (new)
  1.1       +3 -0      ports/devel/psptoolchain-newlib/distinfo (new)
  1.1       +29 -0     ports/devel/psptoolchain-newlib/files/patch-config.sub (new)
  1.1       +12 -0     ports/devel/psptoolchain-newlib/files/patch-configure (new)
  1.1       +12 -0     ports/devel/psptoolchain-newlib/files/patch-configure.in (new)
  1.1       +21 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-Makefile.am (new)
  1.1       +21 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-Makefile.in (new)
  1.1       +27 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-configure.host (new)
  1.1       +13 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-include-machine-time.h (new)
  1.1       +15 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-include-sys-config.h (new)
  1.1       +55 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-include-sys-types.h (new)
  1.1       +19 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-include-time.h (new)
  1.1       +21 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-configure (new)
  1.1       +10 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-configure.in (new)
  1.1       +74 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-Makefile.am (new)
  1.1       +467 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-Makefile.in (new)
  1.1       +19 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-README (new)
  1.1       +883 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-aclocal.m4 (new)
  1.1       +29 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-arpa-inet.h (new)
  1.1       +4 -0      ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-confdefs.h (new)
  1.1       +4089 -0   ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-configure (new)
  1.1       +17 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-configure.in (new)
  1.1       +6 -0      ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-crt0.c (new)
  1.1       +118 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-fdman.c (new)
  1.1       +47 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-fdman.h (new)
  1.1       +39 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-include-netdb.h (new)
  1.1       +69 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-interrupt.S (new)
  1.1       +939 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-libcglue.c (new)
  1.1       +106 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-netdb.c (new)
  1.1       +274 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-netinet-in.h (new)
  1.1       +15 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-netinet-tcp.h (new)
  1.1       +308 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-pipe.c (new)
  1.1       +169 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-pspcwd.c (new)
  1.1       +202 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-select.c (new)
  1.1       +393 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-socket.c (new)
  1.1       +42 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-dirent.h (new)
  1.1       +161 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-errno.h (new)
  1.1       +72 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-fd_set.h (new)
  1.1       +4 -0      ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-ioctl.h (new)
  1.1       +57 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-select.h (new)
  1.1       +297 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-sys-socket.h (new)
  1.1       +22 -0     ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-syscalls.c (new)
  1.1       +987 -0    ports/devel/psptoolchain-newlib/files/patch-newlib-libc-sys-psp-xprintf.c (new)
  1.1       +4 -0      ports/devel/psptoolchain-newlib/pkg-descr (new)
  1.1       +105 -0    ports/devel/psptoolchain-newlib/pkg-plist (new)
  1.1       +43 -0     ports/devel/psptoolchain-pspsdk-stage1/Makefile (new)
  1.1       +3 -0      ports/devel/psptoolchain-pspsdk-stage1/distinfo (new)
  1.1       +11 -0     ports/devel/psptoolchain-pspsdk-stage1/files/patch-src-libc-libcglue.c (new)
  1.1       +4 -0      ports/devel/psptoolchain-pspsdk-stage1/pkg-descr (new)
  1.1       +416 -0    ports/devel/psptoolchain-pspsdk-stage1/pkg-plist (new)
  1.1       +25 -0     ports/devel/psptoolchain-pspsdk-stage2/Makefile (new)
  1.1       +493 -0    ports/devel/psptoolchain-pspsdk-stage2/pkg-plist (new)
  1.1       +40 -0     ports/devel/psptoolchain/Makefile (new)
  1.1       +4 -0      ports/devel/psptoolchain/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Marcelo Araujo freebsd_committer 2009-08-21 02:06:20 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!